FROM registry.fedoraproject.org/fedora:36

ENV NAME=gdb-xtensa32 VERSION=0 ARCH=x86_64
LABEL   name="$NAME" \
        version="$VERSION" \
        architecture="$ARCH" \
        run="podman run --rm -it --pid host -v 'PROJECT_DIR:/project:z' IMAGE ..." \
        summary="gdb-xtensa32 for embedded development" \
        maintainer="Andreas Hartmann <hartan@7x.de>" \
        url="https://gitlab.com/c8160/embedded-rust/gdb-xtensa32"

# Add documentation
COPY help.md /

WORKDIR /root
RUN dnf install -y python2.7; rm -rf /var/cache/dnf/*
RUN curl -Lo file.tar.gz https://github.com/espressif/crosstool-NG/releases/download/esp-2021r2-patch3/xtensa-esp32-elf-gcc8_4_0-esp-2021r2-patch3-linux-amd64.tar.gz; \
    tar -xf file.tar.gz; \
    mv xtensa-esp32-elf/bin/xtensa-esp32-elf-gdb /usr/bin/xtensa-esp32-elf-gdb; \
    cp -r xtensa-esp32-elf/share/* /usr/share/; \
    rm -rf file.tar.gz xtensa-esp32-elf

WORKDIR /project
VOLUME /project

ENTRYPOINT [ "/usr/bin/xtensa-esp32-elf-gdb" ]

